Bug 30601 - ucc-image-set-join-information doesn't accept username and domain as arguments
ucc-image-set-join-information doesn't accept username and domain as arguments
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 minor
: UCC 2.0
Assigned To: Felix Botner
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 12:52 CET by Jan Christoph Ebersbach
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Fix parameter handling (434 bytes, patch)
2013-06-20 16:31 CEST, Jan Christoph Ebersbach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2013-02-27 12:52:04 CET
There is a bug in parsing the arguments of ucc-image-set-join-information.  The help information suggests -u and -d parameters but the getopts string isn't set properly.  -u is not interpreted at all and -d doesn't accept another argument.  It should be "i:u:d:h" but it is something like "i:dh".
Comment 1 Jan Christoph Ebersbach univentionstaff 2013-06-17 13:35:14 CEST
Happend again at Ticket #2013051421001276.
Comment 2 Jan Christoph Ebersbach univentionstaff 2013-06-20 16:31:20 CEST
Created attachment 5284 [details]
Fix parameter handling
Comment 3 Felix Botner univentionstaff 2014-04-07 12:28:05 CEST
OK, fixed
Comment 4 Erik Damrose univentionstaff 2014-04-08 16:41:36 CEST
OK: parameter handling is fixed
OK: changelog
Verified
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:38 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".